Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm not able to use Unity-2D in my computer running Ubuntu 11.10.

Unity 3D works hassle-free.

when I type unity-2d-panel in terminal, i get the following in terminal and an error pops out and stops there.

Terminal output:


(unity-2d-panel:3106): GdkPixbuf-WARNING *: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.
(unity-2d-panel:3106): Gtk-WARNING *: Theme parsing error: gtk-widgets.css:1230:46: Failed to load image '/usr/share/themes/Ambiance/gtk-3.0/assets/slider.png': reason not known, probably a corrupt image file
(unity-2d-panel:3106): GdkPixbuf-WARNING *: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.
(unity-2d-panel:3106): Gtk-WARNING *: Theme parsing error: gtk-widgets.css:1234:55: Failed to load image '/usr/share/themes/Ambiance/gtk-3.0/assets/slider_prelight.png': reason not known, probably a corrupt image file
(unity-2d-panel:3106): GdkPixbuf-WARNING *: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.
(unity-2d-panel:3106): Gtk-WARNING *: Theme parsing error: gtk-widgets.css:1238:55: Failed to load image '/usr/share/themes/Ambiance/gtk-3.0/assets/slider_vertical.png': reason not known, probably a corrupt image file
(unity-2d-panel:3106): GdkPixbuf-WARNING *: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.
(unity-2d-panel:3106): Gtk-WARNING *: Theme parsing error: gtk-widgets.css:1242:64: Failed to load image '/usr/share/themes/Ambiance/gtk-3.0/assets/slider_prelight_vertical.png': reason not known, probably a corrupt image file
(unity-2d-panel:3106): GdkPixbuf-WARNING *: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.
(unity-2d-panel:3106): Gtk-WARNING *: Theme parsing error: gtk-widgets.css:1298:73: Failed to load image '/usr/share/themes/Ambiance/gtk-3.0/assets/scrollbar_handle_vertical.png': reason not known, probably a corrupt image file
(unity-2d-panel:3106): GdkPixbuf-WARNING *: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.
(unity-2d-panel:3106): Gtk-WARNING *: Theme parsing error: gtk-widgets.css:1315:64: Failed to load image '/usr/share/themes/Ambiance/gtk-3.0/assets/scrollbar_handle.png': reason not known, probably a corrupt image file
unity-2d-panel: [DEBUG] Scanning panel plugin directory "/usr/lib/unity-2d/plugins/panel" 
unity-2d-panel: [DEBUG] Loading panel plugin: "/usr/lib/unity-2d/plugins/panel/libpanelplugin-appindicator.so" 
unity-2d-panel: [DEBUG] Loading panel plugin: "/usr/lib/unity-2d/plugins/panel/libpanelplugin-appname.so" 
unity-2d-panel: [DEBUG] Loading panel plugin: "/usr/lib/unity-2d/plugins/panel/libpanelplugin-homebutton.so" 
unity-2d-panel: [DEBUG] Loading panel plugin: "/usr/lib/unity-2d/plugins/panel/libpanelplugin-indicator.so" 
unity-2d-panel: [DEBUG] Loading panel plugin: "/usr/lib/unity-2d/plugins/panel/libpanelplugin-legacytray.so" 
unity-2d-panel: [DEBUG] Loading panel plugin: "/usr/lib/unity-2d/plugins/panel/libpanelplugin-separator.so" 
unity-2d-panel: symbol lookup error: /usr/lib/libdconf-qt.so.0: undefined symbol: _ZNK15QDBusConnection15internalPointerEv
Please help

share|improve this question

closed as off topic by Marco Ceppi Feb 1 '12 at 17:07

Questions on Ask Ubuntu are expected to relate to Ubuntu within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

    
This question should instead be filed as a bug report, thanks! Instructions here. –  Jacob Johan Edwards Feb 1 '12 at 16:57

1 Answer 1

To launch Unity 2D, you have to choose it at login, you can't call it inside a Unity 3D session. There is a sort of configuration icon on your user account at login that lets you to choose between Unity and Unity 2D. You can see it clearly here:

http://www.chimerarevo.com/wp-content/uploads/2011/08/lightdm-ubuntu-11.10-tema-default.jpeg

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.